package de.ivu.elect.presentation.wahlrechtspruefung;

import java.io.Serializable;

import de.ivu.elect.business.wahlrechtspruefung.boundary.WahlrechtspruefungSearchParameters;
import de.ivu.elect.jee.presentation.dynamicform.AbstractBooleanProperty;
import de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty;
import de.ivu.elect.jee.presentation.dynamicform.LambdaBooleanProperty;
import de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty;

public class WahlrechtspruefungSearchParametersProperties implements Serializable {

  private final WahlrechtspruefungSearchParameters wahlrechtspruefungSearchParameters;

  private final AbstractBooleanProperty teilDerSofortpruefungProperty;

  private final AbstractStringProperty kategorieProperty;

  private final AbstractStringProperty unterkategorieProperty;

  private final AbstractBooleanProperty wahlrechtlichRelevantProperty;

  public WahlrechtspruefungSearchParametersProperties(WahlrechtspruefungSearchParameters wahlrechtspruefungSearchParameters) {
    this.wahlrechtspruefungSearchParameters = wahlrechtspruefungSearchParameters;
    teilDerSofortpruefungProperty = wahlrechtspruefungSearchParameters.getPruefkriterium().getProperties().getTeilDerSofortpruefungProperty();
    kategorieProperty = wahlrechtspruefungSearchParameters.getPruefkriterium().getProperties().getKategorieProperty();
    unterkategorieProperty = wahlrechtspruefungSearchParameters.getPruefkriterium().getProperties().getUnterkategorieProperty();
    wahlrechtlichRelevantProperty = wahlrechtspruefungSearchParameters.getPruefkriterium().getProperties().getWahlrechtlichRelevantProperty();
  }

  public AbstractBooleanProperty getTeilDerSofortpruefungProperty() {
    return teilDerSofortpruefungProperty;
  }

  public AbstractStringProperty getKategorieProperty() {
    return kategorieProperty;
  }

  public AbstractStringProperty getUnterkategorieProperty() {
    return unterkategorieProperty;
  }

  public AbstractBooleanProperty getWahlrechtlichRelevantProperty() {
    return wahlrechtlichRelevantProperty;
  }
}
